Skip to main content
POST
Refresh token metadata

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

The ID of the Commerce token

Response

Success response

id
string<uuid>
required

The ID of the Commerce Token

Example:

"5d6b2c9a-9b0b-4b0c-8c7d-9e9d5d7e9d5d"

created_at
string<date-time>
required

The date-time the payment-method was created (following ISO 8601)

Example:

"2023-10-01T00:00:00Z"

expiry_month
integer
required

The number of month in a year (e.g. April is 4)

Example:

4

expiry_year
integer
required

The year given as four digit number (e.g. 2023)

Example:

2033

issuer_identification_number
string
required

The issuer idenfication number (IIN) - also known as BIN

Example:

"424242"

masked_account_number
string
required

The full lenght of the card number, but masked to conform to PCI DSS requirments

Example:

"424242******4242"

scheme
enum<string>
required

The scheme in which the card was issued

Available options:
VISA,
Mastercard,
American Express,
Discover,
Diners Club,
JCB,
UnionPay,
Unknown
cardholder_name
string

The name of the owner of the card

Example:

"John Doe"

card_art_url
string | null

The URL of the card art image for this token.

Use the URL as it is given to you. It needs no API key, so it can be rendered directly by a browser. It is null when the issuer provides no card art for the card.

Example:

"https://api.hellgate.io/tokens/card-art/374c911a-8125-40eb-acb8-a26efd25f02b"

expires_at
string<date-time>

The date-time when the token will expire. Applicable only for ephemeral tokens.

Example:

"2023-10-07T00:00:00Z"

invalidated_at
string | null

The time the Commerce Token was invalidated, because the underlying payment instrument was invalidated by the scheme.

Example:

null

account_number_last_four
string

Last four digits of the card number

Example:

"4242"

account_number_length
integer

The total number of digits in the card number

Example:

16

bank_name
string

The name of the issuing bank.

This information is present if metadata inquiries are active for your account.

Example:

"Example Bank"

segment
enum<string>

The segment or category of the card.

This information is present if metadata inquiries are active for your account.

Available options:
consumer,
commercial
Example:

"consumer"

status
enum<string>

The status of this Commerce token.

Available options:
active,
invalid
type
enum<string>

The funding type of the card.

This information is present if metadata inquiries are active for your account.

Available options:
credit,
debit,
prepaid,
charge,
deferred,
unknown
currency_code
string

The three letter currency code of the card. See: ISO-4217

This information is present if metadata inquiries are active for your account.

Required string length: 3
Example:

"EUR"

country_code
string

A two letter country code. ISO 3166-1 alpha-2

Example:

"US"

network_token_status
enum<string>

The status of the associated network token.

Available options:
active,
inactive,
pending,
deleted,
failed,
not_available
network_token_status_reason
object
identity_and_verification
enum<string>

The type of ID&V submitted during the creation of the Commerce token..

Available options:
none,
checked,
skipped
Example:

"federated_id"

authentication_data
object
supports_device_binding
boolean
Example:

true

business_key
string

This attribute holds the original business key under which the cardholder data was stored on the system from which it was imported to Commerce.

It can be used for reconciliation or reference purposes.

Example:

"cust-0042-card-1"

import_provider
string

The source from which the cardholder data was imported from.

The business_key attribute will refer to the original ID at this provider.

Example:

"legacy-vault"